NWGETOBJECTCONNECTIONNUMBERS(3NCP)

NAME
NWGetObjectConnectionNumbers - Retrieve connection list of specified object

SYNOPSIS
#include <nwcalls.h> NWCCODE NWGetObjectConnectionNumbers(NWCONN_HANDLE conn, const char* name, nuint16 type, size_t* noOfReturnedConns, NWCONN_NUM* connList, size_t maxConns);

DESCRIPTION
This function retrieves connection list of specified object from server. conn
    conn contains connection handle obtained from ncp_open(3ncp) or NWParsePath(3ncp).
name
    name contains bindery object name. Wildcards are not supported. Must not be NULL.
type
    type contains bindery object type. NCP_BINDERY_USER should be specified in most cases.
noOfReturnedConns
    noOfReturnedConns contains number of returned connections. It may be NULL, there is no reason for pass NULL into this function.
connList
    connList is array for returned connection numbers. It may be NULL, in this case, only noOfReturnedConns is returned.
maxConns
    maxConns holds maximum number of returned connections. connList must be NULL or large enough for maxConns * sizeof(NWCONN_NUM) bytes.

RETURN VALUE
Function returns zero on success and non-zero on failure. If specified object does not exist, success is returned and noOfReturnedConns is set to zero. See nwerrors(3ncp) for complete list of error codes.

BUGS
None known.

SEE ALSO
nwerrors(3ncp), NWGetConnListFromObject(3ncp)